/*
 * Program:    TokenContext.java
 * Purpose:    Interface file for ???
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 15, 2005, 4:51 PM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 * =====================================================================================
 */

package com.csp.identity;

public interface TokenContext {

   
    public void setTokenType(String tokenType);
    
    public void createToken(String principal, Object securityToken);
    
    public Object getToken();
    
    public String getPrincipal();
    
    public String getProtocolBinding();
    
}
